Autorius Tema: QGIS: Kaip pritaikyti senus įskiepius (plugins) 2.0 versijai  (Skaityta 1986 kartus)

0 Nariai ir 1 Svečias peržiūrinėja šią temą.

Neprisijungęs Giedrius V.

  • Administrator
  • Full Member
  • *****
  • Įrašai: 109
    • Žiūrėti profilį
QGIS: Kaip pritaikyti senus įskiepius (plugins) 2.0 versijai
« Įrašytas: 2013 m. Rugsėjo 24 d. 21:05:59 »
Išleidus naują QGIS 2.0 versiją atsirado problema su kai kuriais įskiepiais. Dėl to įskiepių autoriai turėtų juos perprogramuoti, arba tai galima padaryti pačiam. Plačiau apie tai QGIS leidėjai rašo čia: http://nathanw.net/2013/09/22/broken-qgis-plugins/
Parašiau man rūpimų įskiepių autoriams ir gavau atsakymą kad mėnesio begyje jie bus atnaujinti ir bus galima be vargo juos naudoti.

Žemiau pateiksiu vieno įskiepio sutvarkymą, kuris nesudėtingas ir jeigu kam labai reikia gali patys susitvarkyti. Tiesa ant Windows'u nebandžiau, dėl to prašau kas išbandė pasidalinti kaip sekėsi.

Linux (Ubuntu, Debian) naujos versijos įskiepiai guli /home/vartotojo_vardas/.qgis2/python/plugins kataloge
Windowsuose jie guli C:\Documents and Settings\vartotojo_vardas\.qgis\python\plugins

pvz. man reikia įskiepio Numerical Digitize, kuris uždeda tašką pagal suvedamas koordinates rankiniu būdu.
1. Atsisiunčiu jį iš QGIS įskiepių saugyklos: http://plugins.qgis.org/plugins/numericalDigitize/version/0.1.4/
2. Išarchyvuoju
3. Direktorijoje randu failą  _init_.py ir atsidarau jį su tekstiniu redaktoriu. Jame pakeičiu, kad eilutėje kur yra

def qgisMinimumVersion(): 
return "1.0"


į

def qgisMinimumVersion(): 
return "2.0"


4. Toje pačioje direktorijoje randu failą metadata.txt ir jame pakeičiu:

qgisMinimumVersion=1.0

į

qgisMinimumVersion=2.0

5. Išsaugau pakeitimus ir įkopijuoju visą įskiepio direktoriją į aukščiau nurodytą direktoriją C:\Documents and Settings\vartotojo_vardas\.qgis\python\plugins

Paleidus QGIS jis turi atsirasti Plugins -> Manage and Install plugins sąraše. Uždėkite varnelę ir naudokitės įskiepiu jau naujoje versijoje.

Kaip naudotis įskiepiu buvo rašyta kitoje temoje http://forumai.akl.lt/index.php/topic,4687.0.html

Neprisijungęs Giedrius V.

  • Administrator
  • Full Member
  • *****
  • Įrašai: 109
    • Žiūrėti profilį
Ats: QGIS: Kaip pritaikyti senus įskiepius (plugins) 2.0 versijai
« Atsakymas #1 Įrašytas: 2013 m. Rugsėjo 24 d. 22:35:36 »
Arba galite atsisiųsti jau paruoštą įskiepį iš čia http://www.kaunomarios.lt/files/808/numericalDigitize.zip ir išarchivavę įdėkite į
Linux  /home/vartotojo_vardas/.qgis2/python/plugins
Windows C:\Documents and Settings\vartotojo_vardas\.qgis\python\plugins